{% extends '_base.html' %}
{% load static %}

{% block title %} Mailing list {% endblock title %}

{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Mailing Lists
        </p>
        <p class="subtitle">
            List of all Mailing Lists
        </p>
    </div>
</section>

<div class="column is-12 ">
    <div class="section">
        <div class="columns">
            <div class="column is-8 is-offset-2">
                <h1 class="title text-centered">Overview</h1>
                <table class="table has-sticky-header">
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Total Membership</th>
                        <th>View</th>
                        {% if user.is_superuser %}
                        <th>Edit</th>
                        <th>Delete</th>
                        <th>Export</th>
                        {% endif %}
                    </tr>
                    {% for list in mail_lists %}
                    <tr>
                        <td> {{list.name}}</td>
                        <td> {{list.email}}</td>
                        <td> {{list.count}} </td>
                        <td><a href={% url 'mailing_list_view' ml_id=list.id %}> <button class="button is-small is-link">View</button></a> </td>
                       {% if user.is_superuser %}
                        <td><a href={% url 'mailing_list_edit' ml_id=list.id %}> <button class="button is-small is-link">Edit</button></a> </td>
                        <td><a href={% url 'mailing_list_delete' ml_id=list.id %}> <button class="button is-small is-link">Delete</button></a> </td>
                        <td><a href={% url 'mailing_list_export' ml_id=list.id %}> <button class="button is-small is-link">Export</button></a> </td>
                        {% endif %}
                    </tr>
                    {% endfor %}
                </table>
            </div>
        </div>
        <hr>
        {% if user.is_superuser %}
        <div class="columns">
            <div class="column is-12 ">
                <h1 class="title text-centered">Full details</h1>
                <a href={% url 'mailing_list_export_all' %}><button class="button is-link">Export</button></a>
                <br><br>
                <table class="table is-hoverable has-sticky-header">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Mail Expiry</th>
                            {% for list in mail_lists %}
                            <th>{{list.name}}</th>
                            {% endfor %}
                            <th>Save</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for ml_user in users %}
                        <form method="POST" action="{% url 'employee_ml_update' empid=ml_user.id %}">
                            {% csrf_token %}
                            <tr>
                                <td>{{ml_user.first_name}} {{ml_user.last_name}}</td>
                                <td>{{ml_user.email}}</td>
                                <td>{{ml_user.mail_expiry}}</td>
                                {% for list in mail_lists %}
                                <td>
                                    {%  if list in ml_user.mailinglist_set.all %}
                                    <label class="checkbox">
                                        <input type="checkbox" value="true" name="{{list}}" checked>
                                    </label>
                                    {% else %}
                                    <label class="checkbox">
                                        <input type="checkbox" value="false" name="{{list}}">
                                    </label>
                                    {% endif %}
                                </td>
                                {% endfor %}
                                <td><button type=submit class="button is-small is-link">Save</button> </td>
                            </tr>
                        </form>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
        {% endif %}
    </div>
</div>
{% endblock %}